Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041346
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-07-12 16:372019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionac43dc6d9dcd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041346: Remove Getting Started widget (half-not working and outdated)

DescriptionThat widget which is present by default is quite outdated

- Using flash for interactive videos not present in modern browsers
- Video content is outdated

As per discussion-mail (Jan 2019): DME.ALO,XPL,SHU plan is to remove the widget.

If possible with small eofrt remove even from existing instance. If not at least stop deploying in new instances.
Steps To Reproduce-
Proposed SolutionRelevant resources:
- GettingStartedWidgetProvider
- ob-getting-started*.js (2 files)
- probably proxy.html from myob module
- obkmo_widget_class row= FF8080812E144FAE012E1455F6020009
  - all related database rows
  - org.openbravo.client.myob/referencedata/standard/MyOBData.xml
  - That includes widget-instance any sampledata
  - all auto-generated _ACCESS.xml rows in sampeldata
Note:
- Test that widget_class removal works for already deployed installation (delete casecade removing any widget instances there)
- trigger obkmo_widget_class_mod_trg (end of file) license restriction to test that removal works fine in community instances
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041580 closedAugustoMauch API Change: Getting Started widget is removed 
related to defect 0041089 closedTriage Finance [PR19Q3] The default "Getting Started" widget offers links that point nowhere 
related to feature request 0023324 newAugustoMauch Preference to allow standard Openbravo widgets removal 
related to feature request 0041559 closedcberner Remove widget: "Openbravo Technical Training Listings" as content is identical to other widget "Openbravo Education Listings" 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0113828)
hgbot (developer)
2019-08-06 11:12

Repository: erp/devel/pi
Changeset: ac43dc6d9dcd0f44b6f352d0a71df90949bedf73
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Aug 06 08:41:29 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ac43dc6d9dcd0f44b6f352d0a71df90949bedf73 [^]

fixes issue 41346: Removed Getting Started widget

Getting Started widget has been removed. Related objects removed: GettingStartedWidgetProvider.java ob-getting-started-widget.js and proxy.html
Removed getting started widget instances from database and exported change.

---
M modules/org.openbravo.client.myob/referencedata/standard/MyOBData.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/OBKMO_WIDGET_CLASS.xml
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoComponentProvider.java
R modules/org.openbravo.client.myob/src/org/openbravo/client/myob/GettingStartedWidgetProvider.java
R modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-getting-started-widget.js
R modules/org.openbravo.client.myob/web/org.openbravo.client.myob/proxy.html
---
(0113829)
hgbot (developer)
2019-08-06 11:14
edited on: 2019-08-06 11:15

Repository: erp/devel/pi
Changeset: 55d91e9fc365cd20e0d1b67fba8c0bb4ff7750a5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Aug 06 11:13:52 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/55d91e9fc365cd20e0d1b67fba8c0bb4ff7750a5 [^]

Related with issue 41346: Removes ob-getting-started-view.js

It is related with the Getting Started widget, although it was not being referenced by anyone

---
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoComponentProvider.java
R modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-getting-started-view.js
---

(0113830)
AugustoMauch (developer)
2019-08-06 11:19

Code reviewed and verified
(0113832)
hgbot (developer)
2019-08-06 12:06

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 716aa8654033658312baa13d55cd8097249b1378
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Aug 06 12:06:16 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/716aa8654033658312baa13d55cd8097249b1378 [^]

Related with issue 41346: Removes references to Getting Started widget

---
M referencedata/sampledata/The_White_Valley_Group/OBKMO_WIDGET_CLASS_ACCESS.xml
M referencedata/sampledata/The_White_Valley_Group/OBKMO_WIDGET_INSTANCE.xml
---
(0113833)
hgbot (developer)
2019-08-06 12:09

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 53dd55c5c3f50ffcd3c782cfc60cb54e2c108721
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Aug 06 12:08:54 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/53dd55c5c3f50ffcd3c782cfc60cb54e2c108721 [^]

Related with issue 41346: Removes references to Getting Started widget

---
M referencedata/sampledata/Retail_Test/OBKMO_WIDGET_CLASS_ACCESS.xml
M referencedata/sampledata/Retail_Test/OBKMO_WIDGET_INSTANCE.xml
---
(0113834)
hgbot (developer)
2019-08-06 12:17

Repository: erp/devel/pi
Changeset: 6179d49300e612b4fe3c9662ca8ccd22a79e8c3b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Aug 06 12:17:44 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6179d49300e612b4fe3c9662ca8ccd22a79e8c3b [^]

Related with issue 41346: Removes references to Getting Started widget

---
M referencedata/sampledata/F_B_International_Group/OBKMO_WIDGET_CLASS_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/OBKMO_WIDGET_INSTANCE.xml
M referencedata/sampledata/QA_Testing/OBKMO_WIDGET_CLASS_ACCESS.xml
M referencedata/sampledata/QA_Testing/OBKMO_WIDGET_INSTANCE.xml
---
(0113841)
hgbot (developer)
2019-08-06 13:05

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: cf8030f6ec2e75e43289ea978f39ef6b1343bb8a
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Aug 06 13:05:09 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/cf8030f6ec2e75e43289ea978f39ef6b1343bb8a [^]

Related with issue 41346: Removes references to Getting Started widget

---
M referencedata/sampledata/AWO_QA/OBKMO_WIDGET_CLASS_ACCESS.xml
M referencedata/sampledata/AWO_QA/OBKMO_WIDGET_INSTANCE.xml
---
(0113883)
AugustoMauch (developer)
2019-08-07 14:52

Code reviewed and verified
(0114206)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114207)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114208)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-12 16:37 shuehner New Issue
2019-07-12 16:37 shuehner Assigned To => platform
2019-07-12 16:37 shuehner Modules => Core
2019-07-12 16:37 shuehner Triggers an Emergency Pack => No
2019-07-12 16:37 shuehner Description Updated View Revisions
2019-07-12 16:38 shuehner Relationship added related to 0041089
2019-07-12 16:41 shuehner Relationship added related to 0023324
2019-07-31 13:30 alostale Relationship added blocks 0032688
2019-08-05 10:33 cberner Assigned To platform => cberner
2019-08-05 10:33 cberner Status new => scheduled
2019-08-06 11:12 hgbot Checkin
2019-08-06 11:12 hgbot Note Added: 0113828
2019-08-06 11:12 hgbot Status scheduled => resolved
2019-08-06 11:12 hgbot Resolution open => fixed
2019-08-06 11:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ac43dc6d9dcd0f44b6f352d0a71df90949bedf73 [^]
2019-08-06 11:13 cberner Review Assigned To => AugustoMauch
2019-08-06 11:14 hgbot Checkin
2019-08-06 11:14 hgbot Note Added: 0113829
2019-08-06 11:15 AugustoMauch Note Edited: 0113829 View Revisions
2019-08-06 11:19 AugustoMauch Note Added: 0113830
2019-08-06 11:19 AugustoMauch Status resolved => closed
2019-08-06 11:19 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-08-06 12:06 AugustoMauch Status closed => new
2019-08-06 12:06 AugustoMauch Resolution fixed => open
2019-08-06 12:06 AugustoMauch Fixed in Version 3.0PR19Q4 =>
2019-08-06 12:06 hgbot Checkin
2019-08-06 12:06 hgbot Note Added: 0113832
2019-08-06 12:09 hgbot Checkin
2019-08-06 12:09 hgbot Note Added: 0113833
2019-08-06 12:17 hgbot Checkin
2019-08-06 12:17 hgbot Note Added: 0113834
2019-08-06 12:30 shuehner Relationship added related to 0041559
2019-08-06 13:05 hgbot Checkin
2019-08-06 13:05 hgbot Note Added: 0113841
2019-08-06 13:44 AugustoMauch Relationship added related to 0041580
2019-08-07 14:52 AugustoMauch Status new => scheduled
2019-08-07 14:52 AugustoMauch Status scheduled => resolved
2019-08-07 14:52 AugustoMauch Resolution open => fixed
2019-08-07 14:52 AugustoMauch Note Added: 0113883
2019-08-07 14:52 AugustoMauch Status resolved => closed
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114206
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114207
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114208


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker